# Changelog

## 2024-11-24 - 3.1.0 - feat(core)
Enhanced caching solution with optional configurations and improved documentation.

- Improved package description and keywords for better discoverability.
- Updated dependencies to latest versions.
- Added strict type checking in TypeScript configurations.
- Enhanced README with detailed usage instructions and examples.

## 2024-05-29 to 2024-02-14 - 3.0.8
Minor configuration updates and documentation changes.

- Updated project description.
- Modified tsconfig setup.
- Adjustments to npmextra.json regarding githost.

## 2024-02-14 - 3.0.7
Core enhancements and bug fixes.

- Fixed updates in the core module to improve stability.

## 2024-02-14 - 3.0.6
Core maintenance and updates.

- Implemented minor fixes in the core module.

## 2023-07-21 - 3.0.5
Addressed core module adjustments.

- Patched core module to rectify issues.

## 2023-07-20 - 3.0.4
Further improvements to core functionality.

- Additional fixes applied to the core component.

## 2023-07-11 to 2023-07-10 - 3.0.3
Organizational and structural changes.

- Transitioned to a new organizational scheme.

## 2023-01-09 - 3.0.2
Core module corrections.

- Resolved various issues within the core module.

## 2022-06-09 - 3.0.1
Continuous enhancements in core functionality.

- Continued bug fixes for core module efficiency.

## 2022-04-04 to 2022-04-02 - 3.0.0
Major release with significant updates.

## 2022-03-22 - 2.0.0
Significant breaking changes in core tech stack.

- BREAKING CHANGE: Transitioned core module to ECMAScript Modules (ESM).

## 2021-05-10 - 1.0.9
Caching improvements and optimization.

- Enhanced caching by properly respecting TTL across all cache levels.

## 2020-02-15 to 2020-02-05 - 1.0.6 to 1.0.1
Initial series of core module fixes and updates.

- Persistent efforts to stabilize and improve core functionalities.
